### Function

# Gimp Scanner new_stream

since: 2.10

#### Declaration [src]

    GimpScanner*
    gimp_scanner_new_stream (
      GInputStream* input,
      GError** error
    )

#### Description

No description available.

Available since: 2.10

#### Parameters

`input`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GimpScanner`

The new `GimpScanner`.

The caller of the function takes ownership of the data, and is responsible for freeing it.